> ## Documentation Index
> Fetch the complete documentation index at: https://docs.malga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listagem de merchants cadastrados



## OpenAPI

````yaml get /v1/merchants
openapi: 3.1.0
info:
  version: '0.5'
  title: Documentação Malga API
  description: >
    # Authentication


    Os serviços de API da Malga são protegidos através de chaves de acesso. Você
    pode gerenciar suas chaves de acesso através do seu dashboard.


    É importante armazenar suas chaves de maneira privada e segura uma vez que
    elas possuem privilégios de alteração na sua conta. Não compartilhe suas
    chaves, não deixe elas fixadas no seu código e nem armazene elas no seu
    servidor de controle de versão. Recomendamos utilizar variáveis de ambiente
    secretas para deixar a chave disponível para sua aplicação.


    A Autenticação para todos os chamadas da API é feita através de headers
    HTTP, sendo necessário informar seu identificador de cliente na Malga e a
    chave secreta de acesso.


    ## X-Client-ID


    Identificador única da sua conta na Malga. Deve ser enviado no header
    obrigatóriamente em todas as requisições feitas a API.


    | Security Scheme Type | API Key |

    |-----------------------|-----------|

    | Header parameter name | `X-Client-ID` |


    ## X-Api-Key


    Sua chave de acesso a API. Funciona em par com o client-id devendo ser
    enviado no header obrigatóriamente em todas as requisições feitas a API.


    | Security Scheme Type | API Key |

    |-----------------------|-----------|

    | Header parameter name | `X-Api-Key` |


    ## Exemplo de requisicão autenticada


    ```bash
      curl --location --request GET 'https://api.malga.io/v1/' \
        --header 'X-Client-Id: <YOUR_CLIENT_ID>' \
        --header 'X-Api-Key: <YOUR_SECRET_KEY>'
    ```
servers:
  - url: https://api.malga.io
    description: Production
security:
  - X-Client-ID: []
    X-Api-Key: []
tags:
  - name: Client-token
    description: >
      É possível criar chaves públicas de acesso temporária a API com escopo e
      tempo de expiração limitados.


      Recomendamos o uso deste tipo de chave quando você tiver que expor a chave
      em uma aplicação client side.


      **Detalhe dos parâmetros da chamada de criação da chave pública:**


      <SchemaDefinition schemaRef="#/components/schemas/AuthRequest" />


      **Retorno da chamada de criação da chave pública:**


      <SchemaDefinition schemaRef="#/components/schemas/AuthResponse" />
  - name: Tokens
    description: |
      **Dados básicos de uma requisição de criação de card token**

      <SchemaDefinition schemaRef="#/components/schemas/TokenRequest"   />
  - name: Cards
    description: |
      **Dados básicos de um objeto cartão**

      <SchemaDefinition schemaRef="#/components/schemas/Card"  />
  - name: Customers
    description: >

      Através da API de `customers` é possível realizar a criação, edição,
      listagem e exclusão de dados de compradores para uso nos serviços de
      tokenização de cartões, cobrança por PIX, Boleto, uso em análise de
      motores de antifraude e recorrência.


      *A fim de manter maior integridade dos dados, as informações de email e
      documento (CPF/CNJP) são únicos para customers na sua conta Malga, não
      podendo existir dois compradores iguais.*


      ### Consulte a [tabela de tipos de paises e documentos
      suportados](#section/Tabela-tipos-de-paises-e-documentos-cadastro-de-Customer)
      para criação de customer
  - name: Sessions
    description: >

      Através da API de sessões é possível criar um pedido, composto por itens,
      métodos de pagamento e outros atributos, que pode ser pago através de um
      endpoint ou integrado ao MalgaCheckout.


      # Fluxo de criação e de pagamento de uma sessão

      - Crie uma `sessão` informando os dados básicos necessários

      - Utilize a `publicKey` retornada na criação ou recuperada na rota de
      detalhes no `X-Api-Key` para autenticar o pagamento


      **Dados básicos de um objeto do tipo session**


      <SchemaDefinition schemaRef="#/components/schemas/Session"
      exampleRef="#/components/examples/Session" />
  - name: Charges
    description: >

      Para realizar uma cobrança deve criar um objeto `charge`. É possível
      recuperar detalhes de transações individuais ou listar todas as cobranças
      realizadas em um determinado `merchant`. Os `charges` são identificados a
      partir de um id 'único'.


      **Dados básicos de um objeto do tipo charge**


      <SchemaDefinition schemaRef="#/components/schemas/Charge"
      exampleRef="#/components/examples/ChargeCard" />
  - name: Webhooks
    description: >

      A Malga utiliza o serviço de webhooks para notificar o seu sistema sobre
      os eventos ocorridos na nossa plataforma. Através de webhooks você
      consegue atualizar seu sistema sempre que um evento importante acontece,
      como a atualização de status de uma cobrança para confirmar ou cancelar um
      determinado pagamento.


      **Dados básicos de um objeto do tipo event:**


      <SchemaDefinition schemaRef="#/components/schemas/Event"
      exampleRef="#/components/examples/Event" />
  - name: Subscriptions
    description: >
      Através da API de `subscriptions` é possível realizar a criação, edição,
      listagem e exclusão de assinaturas.


      **Dados básicos de um objeto do tipo subscription**


      <SchemaDefinition schemaRef="#/components/schemas/Subscription"
      exampleRef="#/components/examples/Subscription" />
  - name: Reports
    description: >

      Através da API Reports, é possível realizar a exportação das informações
      das transações processadas através da Malga em arquivo .csv, relacionadas
      à cobrança [charges], o pagamento [transaction], o link de pagamento
      [session] e cliente [customer] que realizou o pagamento
  - name: Merchants
    description: >

      Através das APIs de `merchants` é possível realizar a criação e
      configuração de sub contas na Malga. Uma sub conta, ou um `merchant`, é um
      cadastro de estabelecimento comercial que você tenha junto há um dos
      provedores de pagamentos integrados pela Malga. Uma vez que você tenha uma
      conta criada em um dos provedores aceitos, basta você solicitar suas
      credenciais de acesso ao parceiro e configurar seu cadastro na Malga.


      No cadastro de `merchant` é necessário informar o código da categoria
      `mcc` do seu cadastro junto ao provedor, escolher um dos tipos de
      provedores suportados pela Malga, e definir a prioridade do provedor com
      suas credenciais de acesso à API do provedor.


      O sistema de roteamento inteligente de transações da Malga foi
      desenvolvido de maneira a suportar o uso de múltiplos provedores por
      cadastro de estabelecimento. Usamos a prioridade definida no cadastro dos
      provedores para priorizar um determinado provedor em relação à outro,
      dessa forma você consegue gerenciar a ordem de provedores que será
      utilizado para fazer as retentativas.


      ### Consulte a [tabela de provedores
      aceitos](#section/Provedores-e-meios-de-pagamentos-suportados) para
      cadastro de credenciais


      ### Consulte a [tabela de código
      MCC](api-reference/type-tables/mcc-code.mdx) para cadastro de Merchants


      **Dados básicos do objeto do tipo merchant**


      <SchemaDefinition schemaRef="#/components/schemas/Merchant"
      exampleRef="#/components/examples/Merchant" />
  - name: Providers
    description: >

      Através das APIs de Providers você pode realizar a edição e atualização
      dos provedores vinculados a um merchant já cadastrado na Malga.


      Essas operações permitem que você mantenha seus dados sempre atualizados,
      garantindo a continuidade e a segurança das integrações com os provedores
      de pagamento.


      **Atenção:**

      Alterações nas credenciais ou configurações do provedor podem impactar o
      processamento das transações. Sempre revise e valide as informações antes
      de salvar.


      ### Consulte a [tabela de provedores
      aceitos](#section/Provedores-e-meios-de-pagamentos-suportados) para
      cadastro de credenciais


      ### Consulte a [tabela de código
      MCC](api-reference/type-tables/mcc-code.mdx) para cadastro de Merchants


      **Dados básicos do objeto do tipo providers**


      <SchemaDefinition
      schemaRef="#/components/schemas/UpdateMerchantProviderDto"
      exampleRef="#/components/examples/UpdateMerchantProviderDto" />
  - name: Sellers
    description: >

      Para realizar uma cobrança com Split, antes é necessário criar um
      `seller`. Os `sellers` são identificados a partir de um id 'único'.


      Através das APIs de `sellers` é possível realizar a criação e configuração
      de recebedores que serão beneficiados em um Split. Uma recebedor, ou um
      `seller`, é um cadastro de pessoa física ou jurídica para quem você tenha
      interesse em repassar automaticamente valores de uma determinada
      cobrança. 


      É obrigatório informar o campo `owner` caso o seller cadastrado seja
      considerado como `pessoa física` agora se esse for considerado como
      `pessoa jurídica` é necessário

      informar os campos `owner` e `business`.


      <SchemaDefinition schemaRef="#/components/schemas/Seller"
      exampleRef="#/components/examples/SellerRequestBusiness" />
  - name: Flows
    description: >

      Através da API de `flows` é possível recuperar detalhes de um Fluxo ou
      listar todas os Fluxos cadastrados em determinado `clientId`.


      Os fluxos inteligentes são um recurso disponibilizado pela Malga para
      gestão dos pagamentos, possibilitando a configuração e a inserção de
      regras e condicionais personalizados para processamento das cobranças.
      Para mais informações, consulte a documentação
      [link](https://docs.malga.io/documentations/flow-guide/introduction).
  - name: Settings
    description: >

      Através da API de `settings` é possível recuperar e criar configurações de
      personalização de link de pagamento de um determinado `clientId`.
  - name: Payouts
    description: >

      Através das APIs de `payouts` é possível consultar o saldo disponível,
      listar repasses e visualizar as ordens de pagamento liquidadas para um
      cliente.


      Esses endpoints são read-only e atendem a fluxos de conciliação financeira
      de Split de pagamentos. As consultas são restritas ao `X-Client-Id`
      autenticado e podem ser filtradas por `sellerId` quando aplicável.


      **Status possíveis de repasse:** `pending`, `paid`, `failed`, `offset`.
  - name: Tabelas de tipos
    description: "\n# Provedores e meios de pagamentos suportados\n\n| Provedor        | Cartão | Boleto | Pix | Pix Parcelado | Split | 3DS2 | Voucher | Descrição        |\n| ------------    |---     |---     |---  |---            |---    |---   |---   |---------         |\n| `SANDBOX`       | SIM    | SIM    | SIM | SIM           | SIM   | SIM  | SIM  | Simulador ambiente de teste |\n| `ADYEN`         | SIM    | SIM    | SIM | NÃO           | NÃO   | SIM  | NÃO  | Adyen            |\n| `BARTE`         | SIM    | NÃO    | NÃO | NÃO           | NÃO   | SIM  | NÃO  | Barte            |\n| `ITAU`          | NÃO    | EM BREVE    | SIM | NÃO           | NÃO   | NÃO  | NÃO  | Itaú             |\n| `BB`            | NÃO    | NÃO    | SIM | NÃO           | NÃO   | NÃO  | NÃO  | Banco do Brasil  |\n| `BRAINTREE`     | SIM    | NÃO    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | Braintree        |\n| `BRASPAG`       | SIM    | NÃO    | NÃO | NÃO           | SIM   | NÃO  | NÃO  | Braspag          |\n| `BS2_BOLETO`    | NÃO    | SIM    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | Banco BS2 Boleto |\n| `BS2`           | NÃO    | NÃO    | SIM | NÃO           | NÃO   | NÃO  | NÃO  | Banco BS2 Pix    |\n| `CIELO`         | SIM    | NÃO    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | Cielo            |\n| `DRIP`          | NÃO    | NÃO    | NÃO | SIM           | NÃO   | NÃO  | NÃO  | Drip             |\n| `GETNET`        | SIM    | SIM    | SIM | NÃO           | NÃO   | NÃO  | NÃO  | Getnet           |\n| `GETNETSEP`    | SIM    | NÃO    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | GetnetSep       |\n| `KLAP`          | SIM    | NÃO    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | Klap             |\n| `MERCADO_PAGO`  | SIM    | SIM    | SIM | NÃO           | NÃO   | NÃO  | NÃO  | Mercado pago     |\n| `PAGARME_V5`    | SIM    | SIM    | SIM | NÃO           | NÃO   | NÃO  | SIM  | Pagar.me V5      |\n| `PAGARME`       | SIM    | SIM    | SIM | NÃO           | SIM   | NÃO  | NÃO  | Pagar.me         |\n| `PAGSEGURO`     | SIM    | NÃO    | SIM | NÃO           | NÃO   | NÃO  | NÃO  | PagSeguro        |\n| `PAYPAL`        | SIM    | NÃO    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | PayPal           |\n| `REDE`          | SIM    | NÃO    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | Rede             |\n| `SAFRAPAY`      | SIM    | NÃO    | SIM | NÃO           | NÃO   | NÃO  | NÃO  | Safrapay         |\n| `MAPINVEST`     | NÃO    | NÃO    | SIM | NÃO           | NÃO   | NÃO  | NÃO  | Mapinvest        |\n| `BOLT`          | SIM    | NÃO    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | Bolt             |\n| `STRIPE`        | SIM    | SIM    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | Stripe           |\n| `VR`            | NÃO    | NÃO    | NÃO | NÃO           | NÃO   | NÃO  | SIM  | VR               |\n| `WORLDPAY`      | SIM    | NÃO    | NÃO | NÃO           | NÃO   | NÃO  | NÃO  | Worldpay         | \n| `ZOOP`          | SIM    | SIM    | SIM | NÃO           | SIM   | NÃO  | NÃO  | Zoop             |\n| `PICPAY`        | SIM    | NÃO    | SIM | NÃO           | NÃO   | NÃO  | NÃO  | Picpay           |\n\n# Provedores de AntiFraude\n| Provedor      | Realtime | Assíncrono |  Descrição    |\n| ------------  |---       |---         |---------      |\n| `CLEARSALE`   | SIM      | SIM        | Clearsale Realtime Decision e Behaviour Analytics    |\n| `B2E`         | NÃO      | SIM        | B2E Antifraude Análise de Risco    |\n\n# Tabela de código de negação para declinedCode\n\n| DeclinedCode             | ResponseMessage       | O que fazer (ABECS) |\n| --------------------------|-----------  | --------------- |\n| *card_not_supported*        | The card does not support this type of purchase\t| UTILIZE FUNÇÃO DÉBITO |\n| *expired_card*              | The card expiration date is invalid\t| VERIFIQUE OS DADOS DO CARTÃO |\n| *fraud_confirmed*           | The charge has been declined for confirmed fraud | \tTRANSAÇÃO NÃO PERMITIDA PARA O CARTÃO - NÃO TENTE NOVAMENTE |\n| *fraud_suspect*             | The charge has been declined for suspect it is fraudulent | \tCONTATE A CENTRAL DO SEU CARTÃO |\n| *generic*                   | The card has been declined for a unknown reason | \tCONTATE A CENTRAL DO SEU CARTÃO |\n| *insufficient_funds*        | The card has insufficient funds\t|  NÃO AUTORIZADA |\n| *invalid_amount*            | The charge amount is not valid or exceeded maximum allowed\t|  VALOR DA TRANSAÇÃO NÃO PERMITIDO |\n| *invalid_cvv*               | The security code is invalid\t| SENHA INVÁLIDA |\n| *invalid_data*              | The card has been declined for invalid data\t| VERIFIQUE OS DADOS DO CARTÃO |\n| *invalid_installment*       | The charge has been declined because invalid number of installments\t| PARCELAMENTO INVÁLIDO |\n| *invalid_merchant*          | The charge has been declined because merchant is not valid\t| CONTA ORIGEM INVÁLIDA |\n| *invalid_number*            | The card number is invalid\t| VERIFIQUE OS DADOS DO CARTÃO |\n| *invalid_pin*               | The card has been declined because pin is invalid\t| SENHA INVÁLIDA |\n| *issuer_not_available*      | The card issuer could not be reached, charge not authorized\t| DADOS DO CARTÃO INVÁLIDO |\n| *lost_card*                 | The card has been declined because the card is reported lost\t| TRANSAÇÃO NÃO PERMITIDA - NÃO TENTE NOVAMENTE |\n| *not_permitted*             | The charge is not permited to the card\t| TRANSAÇÃO NÃO PERMITIDA PARA O CARTÃO |\n| *pickup_card*               | The card cannot be used to make this charges\t| CONTATE A CENTRAL DO SEU CARTÃO |\n| *pin_try_exceeded*          | The card has been declined because exceeded maximum pin tries\t| EXCEDIDAS TENTATIVAS DE SENHA. CONTATE A CENTRAL DO SEU CARTÃO |\n| *restricted_card*           | The card cannot be used to make this charge\t| DESBLOQUEIE O CARTÃO |\n| *security_violation*        | The card has been declined for a unknown reason\t| VERIFIQUE OS DADOS DO CARTÃO |\n| *service_not_allowed*       | The card has been declined because do not support international charge\t| CARTÃO NÃO PERMITE TRANSAÇÃO INTERNACIONAL |\n| *stolen_card*               | The card has been declined because the card is reported stolen\t| TRANSAÇÃO NÃO PERMITIDA - NÃO TENTE NOVAMENTE |\n| *transaction_not_allowed*   | The card has been declined for a unknown reason\t| ERRO NO CARTÃO |\n| *try_again*                 | The card has been declined for a unknown reason\t| REFAZER A TRANSAÇÃO |\n\n# Tabela de códigos MCC\n\n|MCC | Descrição |\n|--------|-----------------|\n|*742*  | VETERINARIA |\n|*744*  | Carefree Resorts |\n|*763*  | COOPERATIVA AGRÍCOLA |\n|*780*  | SERVIÇOS DE PAISAGISMO E HORTICULTURA |\n|*1520* |  EMPREITEIROS EM GERAL - COMERCIAL E RESIDENCIAL |\n|*1711* |  PREST. DE SERV. PARA AR COND., ENCANAMENTO E AQUEC. |\n|*1731* |  ELETRICISTAS E SERVIÇOS ELÉTRICOS |\n|*1740* |  PEDREIROS E SERVIÇOS DE INSTALAÇÃO |\n|*1750* |  MARCENEIROS E SERVIÇOS DE CARPINTARIA |\n|*1761* |  METALURGICOS |\n|*1771* |  EMPREITEIO PARA SERVIÇOS ESPECIALIZADO |\n|*1799* |  DEMAIS SVS DE REFORMA E CONSTRUÇÃO NÃO-CLASSIFICADOS |\n|*2741* |  EDITORAS - PUBLICAÇÕES E IMPRESSÕES |\n|*2791* |  TYPESETTING, PLATE MAKING AND RELATED SERVICES |\n|*2842* |  SERVIÇOS DE LIMPEZA E POLIMENTO |\n|*4011* |  TRANSPORTE FERROVIÁRIO DE CARGA |\n|*4111* |  TRANSPORTE LOCAL DE PASSAGEIROS, INCLUINDO BALSAS |\n|*4112* |  TRANSPORTE DE PASSAGEIROS EM TREM (LONGA DISTÂNCIA) |\n|*4119* |  AMBULANCIAS |\n|*4121* |  LIMUSINES E TÁXIS (TAXICABS AND LIMOUSINES) |\n|*4131* |  COMPANHIAS DE ONIBUS |\n|*4214* |  TRANSPORTE DE CARGA RODOVIÁRIO E ARMAZENAMENTO |\n|*4215* |  CORREIOS - AÉREO, TERRESTRE E TRANSITÓRIOS |\n|*4225* |  ARMAZENAM. PROD AGRÍCOLAS,MERCAD REFRIGERADAS,BENS DOMÉSTICO |\n|*4411* |  LINHAS DE CRUZEROS (CRUISE LINES) |\n|*4457* |  ALUGUEL E ARRENDAMENTO DE BARCOS, ESQUIS E IATES |\n|*4468* |  MARINAS, SERVIÇOS E FORNECEDORES |\n|*4511* |  OUTRAS CIAS AÉREAS |\n|*4582* |  AEROPORTOS E SERVIÇOS LIGADOS A AERONAVES |\n|*4722* |  AGÊNCIAS DE VIAGENS (TRAVEL AGENCIES) |\n|*4723* |  AGÊNCIAS DE VIAGEM TUI (TUI TRAVEL AGENCY) |\n|*4784* |  PEDÁGIOS |\n|*4789* |  SERVIÇOS DE TRANSPORTE |\n|*4812* |  TELEFONES E EQUIPAMENTOS DE TELECOMUN. |\n|*4813* |  SERVIÇOS DE TELEC.- CHAM. LOCAIS E LONGA DISTÂNCIA |\n|*4814* |  SERVIÇOS DE TELECOMUNICAÇÃO |\n|*4816* |  REDES DE COMPUTADORES / SERVIÇOS DE INFORMAÇÃO |\n|*4821* |  TELEGRAFO |\n|*4829* |  ORDENS DE PAGAMENTO POR TRANSFERÊNCIA BANCÁRIA |\n|*4899* |  SERVIÇOS DE TV A CABO/PAGA (CABLE/PAY TV SERVICES) |\n|*4900* |  UTILID./ELEC/GAS/AGUÁ/SANI (UT../ELEC/GAS/H2O/SANI) |\n|*5013* |  ATACADISTAS E DISTRIBUIDORES DE ACESSÓRIOS DE VEÍCULOS |\n|*5021* |  MÓVEIS PARA ESCRITÓRIOS (COMMERCIAL FURNITURE) |\n|*5039* |  MATERIAL PARA CONSTRUÇÃO E AFINS (CONST. MAT. - DEF) |\n|*5044* |  A/D DE EQUIPAMENTOS DE FOTOGRAFIA, CÓPIA E MICROFILME |\n|*5045* |  COMPUTADORES, EQUIPAMENTOS E SOFTWARES |\n|*5046* |  A/D DE MÁQUINAS E EQUIPAMENTOS PARA EC |\n|*5047* |  A/D DE EQUIPAMENTO HOSPITALARES, MÉDICOS E OFTÁLMICOS |\n|*5051* |  CENTROS DE SERVIÇOS DE METAIS (METAL SERVICE CENTERS) |\n|*5065* |  LOJA ARTIGOS ELETRÔNICOS |\n|*5072* |  EQUIP./DISTRIB. DE HARDWARE (HARDWARE EQUIP.SUPPLIES) |\n|*5074* |  EQUIP. DE AQUECIMENTO/ENCANAMENTO (PLUMB./HEAT. E.) |\n|*5085* |  A/D DE SUPRIMENTOS INDUSTRIAIS (NÃO CLASSIFICADO EM OUTRO) |\n|*5094* |  JOALHERIA, PEDRAS PRECIOSAS, METAIS |\n|*5099* |  ATACADISTAS E DISTRIBUIDORES DE MERCADORIAS DURÁVEIS |\n|*5111* |  A/D DE ARTIGOS DE PAPELARIA E SUPRIMENTOS PARA ESCRITÓRIO |\n|*5122* |  FARMACEUTICOS/DROGAS (DRUGS/DRUGGISTS SUNDRIES) |\n|*5131* |  A/D DE TECIDOS E PRODUTOS DE ARMARINHO |\n|*5137* |  ATACADISTAS E DISTRIBUIDORES DE ROUPAS |\n|*5139* |  ATACADISTAS E DISTRIBUIDORES DE CALÇADOS |\n|*5169* |  A/D DE PRODUTOS QUIMICOS E SEMELHANTES (N CLASSIF. EM OUTRO) |\n|*5172* |  PRODUTOS DE PETRÓLEO (PETROLEUM/PETROLEUM PRODUCTS) |\n|*5192* |  ATAC. E DISTRIB. DE LIVROS, PERIÓDICOS E JORNAIS |\n|*5193* |  ATACADISTAS E DISTRIBUIDORES DE FLORES, PLANTAS E SEMENTES |\n|*5198* |  PINTURA, POLIMENTO E SUPRIM. (PAN.,VARN. & SUPPLIES) |\n|*5199* |  A/D DE MERCADORIAS NÃO DURÁVEIS (NÃO CLASSIF. EM OUTRO) |\n|*5200* |  LOJAS DE MATERIAL DE CONSTRUÇÃO (PEQUENO/MÉDIO PORTE) |\n|*5211* |  LOJAS DE MATERIAL DE CONSTRUÇÃO-PRODUTOS BRUTOS (EX: TIJOLO) |\n|*5231* |  LOJAS DE VIDROS, TINTAS E PAPÉIS DE PAREDE |\n|*5251* |  VENDA DE EQUIPAMENTOS, INCLUINDO DE FERRAGEM |\n|*5261* |  JARDINAGEM |\n|*5271* |  CORRETORES DE RESIDÊNCIAS MÓVEIS |\n|*5300* |  VENDA POR ATACADO (WHOLESALE CLUBS) |\n|*5309* |  DUTY FREE STORES |\n|*5310* |  LOJAS DE DESCONTO |\n|*5311* |  LOJAS DE DEPARTAMENTOS (DEPARTMENT STORES) |\n|*5331* |  LOJAS DE VARIEDADES |\n|*5399* |  LOJA MERCADORIAS GERAIS |\n|*5411* |  MERCEARIAS/SUPERMERCADOS (GROCERY STORES/SUPERM.) |\n|*5422* |  AÇOGUEIRO (FREEZER/MEAT LOCKERS) |\n|*5441* |  LOJA DE DOCES |\n|*5451* |  LOJA DE PRODUTOS DE LACTICÍNIOS (DAIRY PROD. STORES) |\n|*5462* |  CONFEITARIAS (BAKERIES) |\n|*5499* |  LOJA DE ALIMENTOS VARIADOS (MISC FOOD S. - DEFAULT) |\n|*5511* |  VENDA DE CARROS E CAMINHÕES (NOVOS E USADOS) |\n|*5521* |  VENDA DE CARROS USADOS |\n|*5531* |  Lojas de Automóveis, Lojas de Acessórios Domésticos |\n|*5532* |  LOJA DE PNEUS |\n|*5533* |  LOJA DE PEÇAS E ACESSÓRIOS DE CARROS |\n|*5541* |  ESTAÇÕES DE SERVIÇOS (SERVICE STATIONS) |\n|*5551* |  VENDA DE BARCOS MOTORIZADOS |\n|*5561* |  ARTIGOS PARA ACAMPAMENTO |\n|*5571* |  LOJAS DE MOTOCICLETAS E ACESSÓRIOS |\n|*5592* |  VENDA DE TRAILLERS |\n|*5598* |  CONSECIONÁRIA DE SNOWMOBILE |\n|*5599* |  SERVIÇOS GERIAS PARA CARROS |\n|*5611* |  ARTIGOS MASCULINOS |\n|*5621* |  LOJA DE ROUPAS FEMININAS \"PRONTA PARA USAR\" |\n|*5631* |  ACESSORIOS FEMININOS E LINGERIES |\n|*5641* |  ARTIGOS PARA CRIANÇAS E BEBÊS |\n|*5651* |  ROUPAS MASCULINAS, FEMININAS E INFANTIS |\n|*5655* |  ROUPA ESPORTIVA |\n|*5661* |  LOJAS DE SAPATOS |\n|*5681* |  LOJA DE PELES |\n|*5691* |  OJA ROUPA UNISSEX |\n|*5697* |  COSTUREIRAS E ALFAIATES |\n|*5698* |  LOJAS DE PERUCA |\n|*5699* |  SERVIÇOS GERIAS PARA VESTIMENTA |\n|*5712* |  LOJA DE MÓVEIS |\n|*5713* |  Loja de Pisos |\n|*5714* |  LOJA DE ESTOFADOS (DRAPERY & UPHOLSTERY STORES) |\n|*5718* |  LAREIRAS E ACESSÓRIOS (FIREPLACES & ACCESSORIES) |\n|*5719* |  LOJA DE MÓVEIS ESPECIALIZADA (HOME FURNISHING SPEC.) |\n|*5722* |  LOJAS DE ELETRODOMÉSTICOS |\n|*5732* |  LOJA DE ELETRÔNICOS |\n|*5733* |  LOJA INSTRUMENTO MUSICAIS |\n|*5734* |  LOJA DE SOFTWARE |\n|*5735* |  LOJAS DE DISCOS |\n|*5811* |  DISTRIBUIÇÃO E PRODUÇÃO DE ALIMENTOS |\n|*5812* |  RESTAURANTES |\n|*5813* |  BARES, PUBS E CASA NOTURNAS |\n|*5814* |  LANCHONETES DE COMIDAS RÁPIDAS (FAST FOOD) |\n|*5815* |  Produtos Digitais - De comunicação social audiovisual, incluindo Livros, Filmes e Música |\n|*5816* |  Pordutos Digitais - Jogos |\n|*5817* |  Produtos Digitais - Aplicativos de Software (Exceto Jogos) |\n|*5818* |  Produtos Digitais - Diversas Categorias |\n|*5912* |  FARMÁCIAS (DRUG STORES & PHARMACIES) |\n|*5921* |  CERVEJAS, VINHOS E LICORES (STORE/BEER/WINE/LIQUOR) |\n|*5931* |  LOJAS DE ARTIGOS DE SEGUNDA MÃO / BRECHÓS |\n|*5932* |  LOJA DE ANTIGUIDADES (ANTIQUE SHOPS) |\n|*5933* |  LOJAS DE PENHORES |\n|*5935* |  DEMOLIÇÕES, SUCATAS, DESMANCHES DE AUTOMÓVEIS |\n|*5937* |  L. DE REPRODUÇÃO DE ANTIQUIDADES (ANT.REPROD. STORES) |\n|*5940* |  LOJA DE BICICLETAS - VENDAS E SERVIÇOS |\n|*5941* |  SERVIÇOS GERAIS PARA ESPORTES |\n|*5942* |  LIVRARIAS |\n|*5943* |  PAPELARIAS |\n|*5944* |  JOALHERIA (JEWERLY STORE) |\n|*5945* |  LOJA DE BRINQUEDOS |\n|*5946* |  LOJA DE FOTOGRAFIA |\n|*5947* |  LOJA DE PRESENTES |\n|*5948* |  ARTIGOS DE COURO |\n|*5949* |  ARMARINHOS E LOJAS DE TECIDO |\n|*5950* |  LOJA DE COPOS/CRISTAIS (GLASSWARE/CRYSTAL STORES) |\n|*5960* |  MARK.DIRETO DE SEGUROS (DIR. MARKET. INSURANCE SVC) |\n|*5962* |  SERV. DIRETOS DE VIAGENS (D. MKTG-TRAV. RELATED ARR) |\n|*5963* |  VENDA DIRETA (DIRECT SELL/DOOR-TO-DOOR) |\n|*5964* |  CATALOGO DE COMERCIOS (CATALOG MERCHANT) |\n|*5965* |  CATÁLOGO DE VAREJO (COMB.CATALOG & RETAIL) |\n|*5966* |  MARKETING DIRETO-SAÍDA (OUTB. TELEMARKETING M.) |\n|*5967* |  MARKETING DIRETO - ENTRADA (INB. TELEMARKETING M.) |\n|*5968* |  ASSINATURA COMERCIAL (CONTINUITY/SUBSCRIP. MERCHANT) |\n|*5969* |  OUTROS VENDEDORES DE MARKETING DIRETO |\n|*5970* |  PRODUTOS ARTESANAIS |\n|*5971* |  GALERIA DE ARTE (ART DEALERS & GALLERIES) |\n|*5972* |  LOJA DE MOEDAS E SELOS |\n|*5973* |  LOJA DE BENS RELIGIOSOS |\n|*5975* |  APARELHOS AUDITIVOS - VENDAS E SERVIÇOS |\n|*5976* |  BENS ORTOPÉDICOS - PRÓTESES |\n|*5977* |  LOJA DE COSMÉTICOS |\n|*5978* |  MÁQUINAS DE ESCREVER - VENDA, ALUGUEL E SERVIÇOS |\n|*5983* |  REVENDEDORES DE COMBUSTÍVEIS (FUEL DEALERS) |\n|*5992* |  FLORICULTURA |\n|*5993* |  TABACARIA |\n|*5994* |  BANCA DE JORNAL E PROVEDOR DE NOTÍCIAS |\n|*5995* |  PET SHOP |\n|*5996* |  PISCINAS E BANHEIRAS - SERVIÇOS, SUPRIMENTOS E VENDAS |\n|*5997* |  NAVALHA ELÉTRICA - VENDA E SERVIÇOS |\n|*5998* |  LOJAS DE BARRACAS E TOLDOS |\n|*5999* |  LOJAS ESPECIALIZADAS NÃO LISTADAS ANTERIOMENTE |\n|*6010* |  BANCOS / LOJAS DE POUPANÇA E INST. FINANCEIRA |\n|*6011* |  INSTIUIÇÃO FINANCEIRA - CAIXA ELETRÔNICO |\n|*6012* |  INSTIUIÇÃO FINANCEIRA - AGÊNCIAS E SERVIÇOS |\n|*6050* |  Similar a Dinheiro (Quase Cash) - Instituição Financeira Cliente |\n|*6051* |  CASAS DE CÂMBIO |\n|*6211* |  CORRETORES DE IMÓVEIS (SECURITIES BROKERS/DEALERS) |\n|*6300* |  VENDA DE SEGUROS(INSURANCE SALES/UNDERWRITE) |\n|*6513* |  CORRETOR DE IMÓVEIS (ALUGUEL) |\n|*6532* |  PAGTOS DE TRANSAÇÕES DE INST.FINANCEIRAS |\n|*6533* |  PAGTOS DE TRANSAÇÕES COMERCIAIS |\n|*7011* |  HOTEIS (HOTELS/MOTELS/RESORTS) |\n|*7012* |  TEMPO COMPARTILHADO (TIMESHARE) |\n|*7032* |  ACAMPAMENTOS RECREATIVOS E DEPORTIVOS |\n|*7033* |  SERVIÇOS DE ACAMPAMENTOS |\n|*7210* |  LAVANDARIA, LIMPEZA E SERVIÇOS DE VESTUÁRIO |\n|*7211* |  LAVANDERIA - FAMILIAR E COMERCIAL |\n|*7216* |  LAVANDERIA TINTURARIA |\n|*7217* |  LIMPEZA DE TAPETES E ESTOFADOS |\n|*7221* |  ESTÚDIOS DE FOTOGRAFIA |\n|*7230* |  SALAO DE BELEZA / BARBEARIA / DEPILAÇÃO / MANICURE |\n|*7251* |  LOJA/REPARO DE SAPATOS |\n|*7261* |  SERVIÇO FUNERÁRIO |\n|*7273* |  SERVIÇO DE ENCONTROS E ACOMPANHANTE |\n|*7276* |  SERVIÇOS DE PREP. IMPOST. DE RENDA (TAX PREP. SVCS) |\n|*7277* |  S. DE ACONSELHAMENTO DE DÍVIDAS, CASAMENTO E PESSOAL |\n|*7278* |  CLUBES DE COMPRAS |\n|*7296* |  ALUGUEL DE ROUPAS - FANTASIAS, UNIFORMES E ROUPAS SOCIAIS |\n|*7297* |  CENTRO DE SAUNAS E MASSAGENS |\n|*7298* |  CLÍNICAS DE ESTÉTICA FACIAL / CORPORAL |\n|*7299* |  OUTROS SERVIÇOS PESSOAIS |\n|*7311* |  PUBLICIDADES |\n|*7321* |  AGÊNCIAS DE ANÁLISE DE CRÉDITO DE CONSUMIDORES |\n|*7333* |  SERVIÇOS DE IMPRESSÃO E ARTE GRÁFICA |\n|*7338* |  COPIADORAS E FOTOCOPIADORAS |\n|*7339* |  SERVIÇO DE SECRETARIADO E ESTENOGRAFIA |\n|*7342* |  DEDETIZAÇÃO E DESINFECÇÃO |\n|*7343* |  SERVIÇO DE EXTERMINIO E DESINFETAÇÃO |\n|*7349* |  SERVIÇO LIMPEZA E MANUTENÇÃO |\n|*7361* |  AGÊNCIAS DE EMPREGO |\n|*7372* |  SERVIÇOS DE PROGRAMAÇÃO DE COMPUTADORES E PROCESS. DE DADOS |\n|*7375* |  SERVIÇO DE RECUPERAÇÃO DE INFORMAÇÃO |\n|*7379* |  COMPUTADORES: CONCERTOS E REPAROS |\n|*7392* |  CONSULTORIA EMPRESARIAL E SERVIÇOS DE RELAÇÕES PÚBLICAS |\n|*7393* |  AGÊNCIAS DE DETETIVES, PROTECÇÃO E DE SEGURANÇA |\n|*7394* |  ALUGUEL DE EQUIPAMENTO E MOBÍLIA DE ESCRITÓRIOS |\n|*7395* |  LABORATÓRIOS FOTOGRÁFICOS |\n|*7399* |  SERVIÇOS DE NEGÓCIOS |\n|*7511* |  PARADA DE CAMINHÕES (TRUCK STOP) |\n|*7512* |  ALUGUEL DE AUTOMÓVEIS (AUTOMOBILE RENTAL AGENCY) |\n|*7513* |  ALUGUEL DE CAMINHÕES (TRUCK/UTILITY TRAILER RENTALS) |\n|*7519* |  ALUGUEL DE MOTOR HOME (MOTOR HOME/RV RENTALS) |\n|*7523* |  ESTACIONAMENTOS E GARAGENS DE CARRO |\n|*7531* |  FUNILARIAS E PINTURA AUTOMOTIVA |\n|*7534* |  BORRACHARIAS |\n|*7535* |  LOJAS DE PINTURA DE AUTTOMÓVEIS |\n|*7538* |  SERVIÇOS PARA CARROS (NÃO CONCESIONARIA) |\n|*7542* |  LAVA JATO |\n|*7549* |  GUINCHO |\n|*7622* |  CONSERTO DE EQUIP. AUDIO E TV |\n|*7623* |  CONSERTO DE AR CONDICIONADO |\n|*7629* |  CONSERTO DE ELETRONICOS |\n|*7631* |  CONSERTO DE RELÓGIOS E JÓIAS |\n|*7641* |  RESTAURAÇÃO DE MÓVEIS (FURNITURE REPAIR) |\n|*7692* |  SERRALHEIROS E SOLDADORES |\n|*7699* |  LOJA DE CONSERTOS GERAIS E SERVIÇOS RELACIONADOS |\n|*7829* |  PRODUTORES E DISTRIBUIDORES DE FILMES |\n|*7832* |  CINEMAS, PRODUÇÕES CINEMATOGRÁFICAS |\n|*7841* |  LOJAS DE VIDEOS |\n|*7911* |  DANÇA (ESTUDIOS, ESCOLAS E SALÕES) |\n|*7922* |  TEATROS, PRODUC. TEATR. E ESPECTAC. |\n|*7929* |  BANDAS,ORQUESTRAS,ARTISTAS DIVERSOS(N CLASSIFICADO EM OUTRO) |\n|*7932* |  BARES DE SINUCA |\n|*7933* |  BOLICHE |\n|*7941* |  QUADRAS DE ESPORTE / PROPAGANDA ESPORTIVA |\n|*7991* |  ATRAÇÕES TURÍSTICAS E EXPOSIÇÕES |\n|*7992* |  AULAS DE GOLF PUBLICA |\n|*7993* |  FORNECEDORES DE MÁQUINAS DE VIDEOGAME OU JOGOS |\n|*7994* |  LOJAS DE DIVERSÃO / VIDEO GAME / LAN HOUSE / CIBER CAFÉ |\n|*7995* |  CASSINOS, LOTERIAS E JOGOS DE AZAR |\n|*7996* |  PARQUE DE DIVERSAO, CIRCO E AFINS |\n|*7997* |  ACADEMIAS / CLUBES |\n|*7998* |  AQUÁRIOS E ZOOLÓGICOS |\n|*7999* |  SERVIÇOS DE RECREAÇÃO E FESTAS |\n|*8011* |  MÉDICOS (CLÍNICAS E CONSULTÓRIOS) |\n|*8021* |  DENTISTAS E ORTODONTISTAS (CLÍNICAS E CONSULTÓRIOS) |\n|*8031* |  OSTEOPATAS |\n|*8041* |  QUIROPRAXIA |\n|*8042* |  OFTAMOLOGISTA E OPTOMETRISTAS |\n|*8043* |  OPTICIANS, OPTICAL GOODS, AND EYEGLASSES |\n|*8049* |  TRATAMENTOS PODIÁTRICOS |\n|*8050* |  CASAS DE REPOUSO, CLÍN. DE RECUPERAÇÃO E ENFERMAGEM |\n|*8062* |  HOSPITAIS |\n|*8071* |  ANALISES CLÍNICAS MÉDICAS E DENTAIS |\n|*8099* |  MEDICINA EM GERAL E PRATICANTES DE SERVIÇOS DE SAÚDE |\n|*8111* |  SERVIÇOS JURÍDICOS - ADVOGADOS |\n|*8211* |  EDUCAÇÃO PRIMÁRIA E SECUNDÁRIA (ELEM./SEC.S.) |\n|*8220* |  UNIVERSIDADES E FACULDADES (COLLEGES/UNIV/JC/PROF.) |\n|*8241* |  EDUACAÇÃO A DISTÂNCIA (CORRESPONDENCE SCHOOLS) |\n|*8244* |  ESCOLA DE COMÉRCIOS E SECRETARIADO (BUS./SEC. SCHOOL) |\n|*8249* |  ESCOLA DE NEGÓCIOS/VOCAÇÕES (TRADE/VOCATIONS S.) |\n|*8299* |  COLEGIOS (SCHOOLS) |\n|*8351* |  SERVIÇOS DE CUIDADOS DE CRIANÇAS (CHILD CARE SVCS) |\n|*8398* |  ORGANIZAÇÕES DE SERVIÇOS BENEFICENTES E SOCIAIS |\n|*8641* |  ASSOCIAÇÕES CÍVICAS E SOCIAIS |\n|*8651* |  ORGANIZAÇÕES POLITICAS |\n|*8661* |  ORGANIZAÇÕES RELIGIOSAS |\n|*8675* |  ASSOCIAÇÃO DE CARROS |\n|*8699* |  ORG. SIND., ASSOC. CULT. E OTRS ASSOC. NÃO CLASSIF. |\n|*8734* |  LABORATÓRIOS DE TESTE (PARA TESTES NÃO MÉDICOS) |\n|*8911* |  ARQUIRETURA, ENGENHARIA E AGRIMENSURA |\n|*8931* |  CONTABILIDADE, AUDITORIA E SERVIÇOS DE CONTABILIDADE |\n|*8999* |  OUTROS SERVIÇOS PROFISSIONAIS DE ESPECIALIZADOS |\n|*9211* |  PENSÃO ALIMENTÍCIA (COURT COSTS/ALIMONY/SUPPORT) |\n|*9222* |  MULTAS (FINES) |\n|*9223* |  PAGAMENTOS DE TÍTULOS E FINANÇAS (BAIL AND BOND P.) |\n|*9311* |  PAGAMENTOS DE IMPOSTOS (TAX PAYMENTS) |\n|*9399* |  SERVIÇOS GOVERNAMENTAIS (GOVT SERV - DEFAULT) |\n|*9402* |  POSTAGENS (POSTAGE STAMPS) |\n|*9405* |  COMPRAS GOVERNAMENTAIS (INTRA-GOVERNMENT PURCHASES) |\n|*9406* |  Loteria de Propriedade do Governo (Países Específicos |\n|*9950* |  DEPART. DE COMPRAS (INTRA- COMPANY PURCHASES) |\n\n# Tabela tipos de moedas aceitas\n\n| Currency Code | Currency |\n| ----- |----------------------- |\n| **BRL** | \tBrazilian real  |\n| *USD*  | \tUnited States dollar  |\n| *EUR*  | \tEuro  |\n| *YER*  | \tYemeni rial |\n| *ZAR*  | \tSouth African rand  |\n| *AED*  | \tUnited Arab Emirates dirham |\n| *AFN*  | \tAfghan afghani  |\n| *ALL*  | \tAlbanian lek  |\n| *AMD*  | \tArmenian dram |\n| *ANG*  | \tNetherlands Antillean guilder |\n| *AOA*  | \tAngolan kwanza  |\n| *ARS*  | \tArgentine peso  |\n| *AUD*  | \tAustralian dollar |\n| *AWG*  | \tAruban florin |\n| *AZN*  | \tAzerbaijani manat |\n| *BAM*  | \tBosnia and Herzegovina convertible mark |\n| *BBD*  | \tBarbados dollar |\n| *BDT*  | \tBangladeshi taka  |\n| *BGN*  | \tBulgarian lev |\n| *BIF*  | \tBurundian franc |\n| *BMD*  | \tBermudian dollar  |\n| *BND*  | \tBrunei dollar |\n| *BOB*  | \tBoliviano |\n| *BSD*  | \tBahamian dollar |\n| *BWP*  | \tBotswana pula |\n| *BZD*  | \tBelize dollar |\n| *CAD*  | \tCanadian dollar |\n| *CDF*  | \tCongolese franc |\n| *CHF*  | \tSwiss franc |\n| *CLP*  | \tChilean peso  |\n| *CNY*  | \tChinese yuan[8] |\n| *COP*  | \tColombian peso  |\n| *CRC*  | \tCosta Rican colon |\n| *CVE*  | \tCape Verdean escudo |\n| *CZK*  | \tCzech koruna  |\n| *DJF*  | \tDjiboutian franc  |\n| *DKK*  | \tDanish krone  |\n| *DOP*  | \tDominican peso  |\n| *DZD*  | \tAlgerian dinar  |\n| *EGP*  | \tEgyptian pound  |\n| *ETB*  | \tEthiopian birr  |\n| *ZMW*  | \tZambian kwacha  |\n| *FJD*  | \tFiji dollar |\n| *FKP*  | \tFalkland Islands pound  |\n| *GBP*  | \tPound sterling  |\n| *GEL*  | \tGeorgian lari |\n| *GIP*  | \tGibraltar pound |\n| *GMD*  | \tGambian dalasi  |\n| *GNF*  | \tGuinean franc |\n| *GTQ*  | \tGuatemalan quetzal  |\n| *GYD*  | \tGuyanese dollar |\n| *HKD*  | \tHong Kong dollar  |\n| *HNL*  | \tHonduran lempira  |\n| *HRK*  | \tCroatian kuna |\n| *HTG*  | \tHaitian gourde  |\n| *HUF*  | \tHungarian forint  |\n| *IDR*  | \tIndonesian rupiah |\n| *ILS*  | \tIsraeli new shekel  |\n| *INR*  | \tIndian rupee  |\n| *ISK*  | \tIcelandic króna |\n| *JMD*  | \tJamaican dollar |\n| *JPY*  | \tJapanese yen  |\n| *KES*  | \tKenyan shilling |\n| *KGS*  | \tKyrgyzstani som |\n| *KHR*  | \tCambodian riel  |\n| *KMF*  | \tComoro franc  |\n| *KRW*  | \tSouth Korean won  |\n| *KYD*  | \tCayman Islands dollar |\n| *KZT*  | \tKazakhstani tenge |\n| *LAK*  | \tLao kip |\n| *LBP*  | \tLebanese pound  |\n| *LKR*  | \tSri Lankan rupee  |\n| *LRD*  | \tLiberian dollar |\n| *LSL*  | \tLesotho loti  |\n| *MAD*  | \tMoroccan dirham |\n| *MDL*  | \tMoldovan leu  |\n| *MGA*  | \tMalagasy ariary |\n| *MKD*  | \tMacedonian denar  |\n| *MMK*  | \tMyanmar kyat  |\n| *MNT*  | \tMongolian tögrög  |\n| *MOP*  | \tMacanese pataca |\n| *MRO*  | \tMacanese pataca |\n| *MUR*  | \tMauritian rupee |\n| *MVR*  | \tMaldivian rufiyaa |\n| *MWK*  | \tMalawian kwacha |\n| *MXN*  | \tMexican peso  |\n| *MYR*  | \tMalaysian ringgit |\n| *MZN*  | \tMozambican metical  |\n| *NAD*  | \tNamibian dollar |\n| *NGN*  | \tNigerian naira  |\n| *NIO*  | \tNicaraguan córdoba  |\n| *NOK*  | \tNorwegian krone |\n| *NPR*  | \tNepalese rupee  |\n| *NZD*  | \tNew Zealand dollar  |\n| *PAB*  | \tPanamanian balboa |\n| *PEN*  | \tPeruvian sol  |\n| *PGK*  | \tPapua New Guinean kina  |\n| *PHP*  | \tPhilippine peso[12] |\n| *PKR*  | \tPakistani rupee |\n| *PLN*  | \tPolish złoty  |\n| *PYG*  | \tParaguayan guaraní  |\n| *QAR*  | \tQatari riyal  |\n| *RON*  | \tRomanian leu  |\n| *RSD*  | \tSerbian dinar |\n| *RUB*  | \tRussian ruble |\n| *RWF*  | \tRwandan franc |\n| *SAR*  | \tSaudi riyal |\n| *SBD*  | \tSolomon Islands dollar  |\n| *SCR*  | \tSeychelles rupee  |\n| *SEK*  | \tSwedish krona/kronor  |\n| *SGD*  | \tSingapore dollar  |\n| *SHP*  | \tSaint Helena pound  |\n| *SLL*  | \tSierra Leonean leone  |\n| *SOS*  | \tSomali shilling |\n| *SRD*  | \tSurinamese dollar |\n| *STD*  | \tSouth Sudanese pound  |\n| *SZL*  | \tSwazi lilangeni |\n| *THB*  | \tThai baht |\n| *TJS*  | \tTajikistani somoni  |\n| *TOP*  | \tTongan paʻanga  |\n| *TRY*  | \tTurkish lira  |\n| *TTD*  | \tTrinidad and Tobago dollar  |\n| *TWD*  | \tNew Taiwan dollar |\n| *TZS*  | \tTanzanian shilling  |\n| *UAH*  | \tUkrainian hryvnia |\n| *UGX*  | \tUgandan shilling  |\n| *UYU*  | \tUruguayan peso  |\n| *UZS*  | \tUzbekistan som  |\n| *VND*  | \tVietnamese đồng |\n| *VUV*  | \tVanuatu vatu  |\n| *WST*  | \tSamoan tala |\n| *XAF*  | \tCFA franc BEAC  |\n| *XCD*  | \tEast Caribbean dollar |\n| *XOF*  | \tCFA franc BCEAO |\n| *XPF*  | \tCFP franc (franc Pacifique) |\n\n# Tabela tipos de paises e documentos cadastro de Customer\n\n| Country Code | Document Type            | Group              | Country                | Meaning                                                                             |\n| ---- | --------------- | ------------------ | ---------------------- | ----------------------------------------------------------------------------------- |\n| *AL*   | *NIPT*            | Vat                | Albania                | Vat Identifier (Numri i Identifikimit për Personin e Tatueshëm)                     |\n| *AD*   | *NRT*             | Tax                | Andorra                | Tax Identifier (Número de Registre Tributari)                                       |\n| *AR*   | *CBU*             | Bank               | Argentina              | Bank Account (Clave Bancaria Uniforme)                                              |\n| *AR*   | *CUIT*            | Tax                | Argentina              | Tax Identity (Código Único de Identificación Tributaria)                            |\n| *AR*   | *DNI*             | Person             | Argentina              | National Identity (Documento Nacional de Identidad)                                 |\n| *AT*   | *Businessid*      | Company            | Austria                | Austrian Company Register Numbers                                                   |\n| *AT*   | *TIN*             | Tax                | Austria                | Austrian tax identification number (Abgabenkontonummer)                             |\n| *AT*   | *UID*             | VAT                | Austria                | Austrian VAT number (Umsatzsteuer-Identifikationsnummer)                            |\n| *AT*   | *VNR*             | Person             | Austria                | Austrian social security number(Versicherungsnummer)                                |\n| *AU*   | *ABN*             | Company            | Australia              | Australian Business Number                                                          |\n| *AU*   | *ACN*             | Company            | Australia              | Australian Company Number                                                           |\n| *AU*   | *TFN*             | Tax/Person/Company | Australia              | Australian Tax File Number                                                          |\n| *BA*   | *JMBG*            | Person             | Bosnia and Herzegovina | Unique Master Citizen Number                                                        |\n| *BZ*   | *TIN*             | Person/Company     | Belize                 | Brazilian Tax ID ()                                                                 |\n| *BE*   | *VAT*             | Company            | Belgium                | Belgian Enterprise Number                                                           |\n| *BG*   | *EGN*             | Person             | Bulgaria               | ЕГН, Единен граждански номер, Bulgarian personal identity codes                     |\n| *BG*   | *PNF*             | Person             | Bulgaria               | PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner).                |\n| *BG*   | *VAT*             | Company            | Bulgaria               | Идентификационен номер по ДДС, Bulgarian VAT number                                 |\n| *BR*   | *CPF*             | Person             | Brazil                 | Brazilian identity number (Cadastro de Pessoas Físicas)                             |\n| *BR*   | *CNPJ*            | Company            | Brazil                 | Brazilian company number (Cadastro Nacional da Pessoa Jurídica)                     |\n| *BY*   | *UNP*             | Person/Company     | Belarus                | Учетный номер плательщика, the Belarus VAT number                                   |\n| *CA*   | *BN*              | Company            | Canada                 | Company Identifier (Canadian Business Number)                                       |\n| *CA*   | *SIN*             | Person             | Canada                 | Person Identifier (Social Insurance Number)                                         |\n| *CU*   | *NI*              | Person             | Cuba                   | Número de identidad, Cuban identity card numbers                                    |\n| *CY*   | *VAT*             | Company            | Cyprus                 | Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)                                        |\n| *CZ*   | *DIC*             | Company            | Czech Republic         | Daňové identifikační číslo, Czech VAT number                                        |\n| *CZ*   | *RC*              | Person             | Czech Republic         | Rodné číslo, the Czech birth number                                                 |\n| *CH*   | *SSN*             | Person             | Swisserland            | Swiss social security number (\"Sozialversicherungsnummer\")                          |\n| *CH*   | *UID*             | Company            | Swisserland            | Unternehmens-Identifikationsnummer, Swiss business identifier                       |\n| *CH*   | *VAT*             | Company            | Swisserland            | Mehrwertsteuernummer, the Swiss VAT number                                          |\n| *CL*   | *RUT*             | Tax                | Chile                  | Tax Identifier (Rol Unico Tributario) [RUN]                                         |\n| *CN*   | *RIC*             | Person             | China                  | Person Identifier (Chinese Resident Identity Card Number)                           |\n| *CN*   | *USCC*            | Company            | China                  | Company Identifier (Unified Social Credit Code, 统一社会信用代码, China tax number) |\n| *CO*   | *NIT*             | Tax                | Columbia               | Tax Identifier (Número de Identificación Tributaria)                                |\n| *CR*   | *CPF*             | Person             | Costa Rica             | Person Identifier (Cédula de Persona Física)                                        |\n| *CR*   | *CPJ*             | Company            | Costa Rica             | Company Identifier (Cédula de Persona Jurídica)                                     |\n| *CR*   | *CR*              | Person             | Costa Rica             | Person Identifier (Cédula de Residencia)                                            |\n| *DE*   | *IDNR*            | Person             | Germany                | Steuerliche Identifikationsnummer, German personal tax number                       |\n| *DE*   | *STNR*            | Company            | Germany                | Steuernummer, German tax number                                                     |\n| *DE*   | *VAT*             | Company            | Germany                | Vat identifier                                                                      |\n| *DK*   | *VAT*             | Company            | Denmark                | Momsregistreringsnummer, Danish VAT number                                          |\n| *DO*   | *CEDULA*          | Person             | Dominican Republic     | Person Identifier (Cédula de Residencia)                                            |\n| *DO*   | *NCF*             | Vat                | Dominican Republic     | Tax Receipt Number (Números de Comprobante Fiscal)                                  |\n| *DO*   | *RNC*             | Tax                | Dominican Republic     | Person Identifier (Registro Nacional del Contribuyente)                             |\n| *EC*   | *CI*              | Person             | Ecuador                | Ecuadorian person identifier (Cédula de identidad)                                  |\n| *EE*   | *IK*              | Person             | Estonia                | Isikukood (Estonian Personcal ID number).                                           |\n| *EE*   | *KMKR*            | Company            | Estonia                | KMKR (Käibemaksukohuslase, Estonian VAT number)                                     |\n| *EE*   | *Registrikood*    | Company            | Estonia                | Registrikood (Estonian organisation registration code)                              |\n| *EC*   | *RUC*             | Tax/Vat            | Ecuador                | Ecuadorian company tax number (Registro Único de Contribuyentes)                    |\n| *SV*   | *NIT*             | Tax                | El Salvador            | Tax Identifier (Número de Identificación Tributaria)                                |\n| *GT*   | *CUI*             | Person             | Guatemala              | Guatemala person (Código Único de Identificación)                                   |\n| *GT*   | *NIT*             | Company            | Guatemala              | Guatemala company tax number (Número de Identificación Tributaria)                  |\n| *FI*   | *ALV*             | Company            | Finland                | ALV nro (Arvonlisäveronumero, Finnish VAT number)                                   |\n| *FI*   | *HETU*            | Person             | Finland                | HETU (Henkilötunnus, Finnish personal identity code)                                |\n| *FI*   | *YTUNNUS*         | Company            | Finland                | Y-tunnus (Finnish business identifier)                                              |\n| *FR*   | *NIF*             | Person             | France                 | NIF (Numéro d'Immatriculation Fiscale, French tax identification number)            |\n| *GB*   | *UTR*             | Person             | Great Brittan          | UTR (United Kingdom Unique Taxpayer Reference)                                      |\n| *GB*   | *VAT*             | Company            | Great Brittan          | VAT (United Kingdom (and Isle of Man) VAT registration number)                      |\n| *GR*   | *AMKA*            | Company            | Greece                 | AMKA (Αριθμός Μητρώου Κοινωνικής Ασφάλισης, Greek social security number)           |\n| *GR*   | *VAT*             | Company            | Greece                 | FPA, ΦΠΑ, ΑΦΜ (Αριθμός Φορολογικού Μητρώου, the Greek VAT number)                   |\n| *FR*   | *NIR*             | Person             | France                 | NIR (French personal identification number)                                         |\n| *FR*   | *SIREN*           | Company            | France                 | SIREN (a French company identification number)                                      |\n| *FR*   | *SIRET*           | Company            | France                 | SIRET (a French company establishment identification number)                        |\n| *FR*   | *TVA*             | Vat                | France                 | VAT Identifier                                                                      |\n| *HR*   | *OIB*             | Person             | Croatia                | Osobni identifikacijski broj, Croatian identification number                        |\n| *HK*   | *HKID*            | Person             | Hong Kong              | Hong Kong Identity Card                                                             |\n| *HU*   | *ANUM*            | Vat                | Hungaria               | ANUM (Közösségi adószám, Hungarian VAT number)                                      |\n| *IS*   | *KENNITALA*       | Person/Company     | Iceland                | Icelandic personal and organisation identity code                                   |\n| *IS*   | *VSK*             | Vat                | Iceland                | Virðisaukaskattsnúmer, Icelandic VAT number                                         |\n| *ID*   | *NPWP*            | Person/Company     | Indonesia              | NPWP (Nomor Pokok Wajib Pajak, Indonesian VAT Number).                              |\n| *IE*   | *PPS*             | Person             | Ireland                | Personal Public Service Number, Irish personal number                               |\n| *IE*   | *VAT*             | Tax/Vat            | Ireland                | Ireland Value Added Tax ID                                                          |\n| *IN*   | *AADHAAR*         | Company            | India                  | Indian digital resident personal identity number                                    |\n| *IN*   | *PAN*             | Person             | India                  | Permanent Account Number, Indian income tax identifier                              |\n| *IL*   | *IDNR*            | Person             | Israel                 | Identity Number (Mispar Zehut, מספר זהות, Israeli identity number)                  |\n| *IL*   | *HR*              | Company            | Israel                 | Company Number (מספר חברה, or short ח.פ. Israeli company number)                    |\n| *IT*   | *AIC*             | Drug               | Italy                  | Italian code for identification of drugs                                            |\n| *IT*   | *CODICEFISCALE*   | Person             | Italy                  | Codice Fiscale (Italian tax code for individuals)                                   |\n| *IT*   | *IVA*             | Vat                | Italy                  | Partita IVA (Italian VAT number)                                                    |\n| *LI*   | *PEID*            | Person/Company     | Liechtenstein          | Personenidentifikationsnummer                                                       |\n| *LT*   | *ASMENS*          | Person             | Lithuanian             | Asmens kodas (Person Number)                                                        |\n| *LT*   | *PVM*             | Vat                | Lithuanian             | Pridėtinės vertės mokestis mokėtojo kodas                                           |\n| *LU*   | *TVA*             | Vat                | Luxembourgian          | taxe sur la valeur ajoutée                                                          |\n| *LV*   | *PVN*             | Person/Vat         | Latvian                | Pievienotās vērtības nodokļa                                                        |\n| *MK*   | *JMBG*            | Person             | Macedonia              | Unique Master Citizen Number (Единствен матичен број на граѓанинот)                 |\n| *MC*   | *TVA*             | Vat                | Monaco                 | taxe sur la valeur ajoutée, Monacan VAT number                                      |\n| *MD*   | *IDNO*            | Vat                | Moldavia               | Moldavian VAT number                                                                |\n| *MT*   | *VAT*             | Vat                | Malta                  | Maltese VAT number                                                                  |\n| *MU*   | *NID*             | Person             | Mauritius              | ID number (Mauritian national identifier)                                           |\n| *JP*   | *CN*              | Company            | Japan                  | 法人番号, hōjin bangō, Japanese Corporate Number                                    |\n| *KR*   | *BRN*             | Company            | South Korea            | 사업자 등록 번호, South Korea Business Registration Number)                         |\n| *KR*   | *RRN*             | Person             | South Korea            | South Korean resident registration number                                           |\n| *MX*   | *RFC*             | Tax/Vat            | Mexico                 | Tax Identifier (Registro Federal de Contribuyentes)                                 |\n| *MX*   | *CURP*            | Person             | Mexico                 | Individual Identifier (Clave Única de Registro de Población)                        |\n| *MX*   | *CLABE*           | Bank               | Mexico                 | Bank Account (Clave Bancaria Estandarizada)                                         |\n| *ME*   | *JMBG*            | Person             | Montenegro             | Unique Master Citizen Number                                                        |\n| *MY*   | *NRIC*            | Person             | Malaysia               | Malaysian National Registration Identity Card Number                                |\n| *NL*   | *BSN*             | Person             | Netherlands            | Burgerservicenummer, the Dutch citizen identification number                        |\n| *NL*   | *BTW*             | Vat                | Netherlands            | Btw-identificatienummer (Omzetbelastingnummer, the Dutch VAT number)                |\n| *NL*   | *Onderwijsnummer* | Person             | Netherlands            | Onderwijsnummer (the Dutch student identification number)                           |\n| *NZ*   | *IRD*             | Person/Company     | New Zealand            | New Zealand Inland Revenue Department (Te Tari Tāke) number                         |\n| *NZ*   | *BANK*            | Bank               | New Zealand            | New Zealand Bank Account numbers - checkdigit                                       |\n| *NO*   | *Fodsels*         | Person             | Norway                 | Fødselsnummer (Norwegian birth number, the national identity number)                |\n| *NO*   | *Konto*           | Bank               | Norway                 | Konto nr. (Norwegian bank account number)                                           |\n| *NO*   | *MVA*             | Vat                | Norway                 | Merverdiavgift, Norwegian VAT number                                                |\n| *NO*   | *Orgnr*           | Company            | Norway                 | Organisasjonsnummer, Norwegian organisation number                                  |\n| *PY*   | *RUC*             | Tax/Vat            | Paraguay               | Tax Identifier (Registro Único de Contribuyentes)                                   |\n| *PE*   | *CUI*             | Person             | Peru                   | Person Identifier (Cédula Única de Identidad)                                       |\n| *PE*   | *RUC*             | Tax/Vat            | Peru                   | Tax Identifier (Registro Único de Contribuyentes)                                   |\n| *PE*   | *CE*              | Person             | Peru                   | Person Identifier (Carné de Extranjería)                                            |\n| *PK*   | *CNIC*            | Person             | Pakistan               | National Identity Card                                                              |\n| *PK*   | *NTN*             | Company            | Pakistan               | Tax Identification Number                                                           |\n| *PL*   | *NIP*             | Vat                | Poland                 | Numer Identyfikacji Podatkowej, Polish VAT number                                   |\n| *PL*   | *PESEL*           | Person             | Poland                 | Polish national identification number                                               |\n| *PL*   | *REGON*           | Company            | Poland                 | Rejestr Gospodarki Narodowej, Polish register of economic units                     |\n| *PT*   | *NIF*             | Vat                | Portugual              | Número de identificação fiscal, Portuguese VAT number                               |\n| *RU*   | *INN*             | Tax/Vat            | Russia                 | Tax Identifier (Идентификационный номер налогоплательщика)                          |\n| *RO*   | *CF*              | Vat                | Romania                | Cod de înregistrare în scopuri de TVA, Romanian VAT number                          |\n| *RO*   | *CNP*             | Person             | Romania                | Cod Numeric Personal, Romanian Numerical Personal Code)                             |\n| *RO*   | *CUI*             | Tax                | Romania                | Codul Unic de Înregistrare, Romanian company identifier                             |\n| *RO*   | *ONRC*            | Company            | Romania                | Ordine din Registrul Comerţului, Romanian Trade Register identifier                 |\n| *SM*   | *COE*             | Company            | San Marcos             | Codice operatore economico, San Marino national tax number                          |\n| *RS*   | *PIB*             | Vat                | Serbia                 | Poreski identifikacioni broj Tax identification number                              |\n| *RS*   | *JMBG*            | Person             | Serbia                 | Unique Master Citizen Number (Jedinstveni matični broj građana)                     |\n| *SE*   | *ORGNR*           | Company            | Sweden                 | Organisationsnummer, Swedish company number                                         |\n| *SE*   | *PERSONNUMMER*    | Person             | Sweden                 | Personnummer (Swedish personal identity number)                                     |\n| *SE*   | *VAT*             | Vat                | Sweden                 | VAT (Moms, Mervärdesskatt, Swedish VAT number)                                      |\n| *SG*   | *UEN*             | Company            | Singapore              | Singapore's Unique Entity Number                                                    |\n| *TH*   | *IDNR*            | Person             | Thailand               | Thai National ID (บัตรประจำตัวประชาชนไทย)                                           |\n| *TW*   | *UBN*             | Company            | Taiwan                 | Unified Business Number, 統一編號, Taiwanese tax number                             |\n| *TR*   | *TCKIMLIK*        | Person             | Turkey                 | Türkiye Cumhuriyeti Kimlik Numarası (Personal ID)                                   |\n| *TR*   | *VKN*             | Tax                | Turkey                 | Vergi Kimlik Numarası, Turkish tax identification number                            |\n| *SI*   | *DDV*             | Vatl               | Slovenia               | ID za DDV (Davčna številka, Slovenian VAT number)                                   |\n| *SI*   | *JMBG*            | Person             | Slovenia               | Unique Master Citizen Number (Enotna matična številka občana)                       |\n| *SK*   | *DPH*             | Vat                | Slovakia               | IČ DPH (IČ pre daň z pridanej hodnoty, Slovak VAT number)                           |\n| *SK*   | *RC*              | Person             | Slovakia               | RČ (Rodné číslo, the Slovak birth number)                                           |\n| *ES*   | *CIF*             | Tax/Vat            | Spain                  | Tax Identifier (Código de Identificación Fiscal)                                    |\n| *ES*   | *DNI*             | Person             | Spain                  | Identity code (Documento Nacional de Identidad)                                     |\n| *ES*   | *NIE*             | Person             | Spain                  | Identity code foreigner (Número de Identificación de Extranjero)                    |\n| *ES*   | *NIF*             | Tax                | Spain                  | Tax Identifier (Número de Identificación Fiscal)                                    |\n| *UY*   | *RUT*             | Tax/Vat            | Uruguay                | Tax Identifier (Registro Único Tributario)                                          |\n| *UY*   | *CEDULA*          | Person             | Uruguay                | Person Identifier (Cédula de Residencia)                                            |\n| *UY*   | *NIE*             | Person             | Uruguay                | ForeignersI identification Number                                                   |\n| *UA*   | *RNTRC*           | Person             | Ukraine                | КПП, RNTRC (Individual taxpayer registration number in Ukraine)                     |\n| *UA*   | *EDRPOU*          | Company            | Ukraine                | ЄДРПОУ, EDRPOU (Identifier for enterprises and organizations in Ukraine)            |\n| *US*   | *EIN*             | Tax/Company        | United States          | Tax Identifier (Employer Identification Number)                                     |\n| *US*   | *SSN*             | Tax/Individual     | United States          | Tax Identifier (Social Security Number)                                             |\n| *VE*   | *RIF*             | Vat                | Venezuelan             | Vat Identifier (Registro de Identificación Fiscal)                                  |\n| *VN*   | *MST*             | Company            | Vietnam                | Mã số thuế, Vietnam tax number                                                      |\n| *ZA*   | *IDNR*            | Person             | South Africa           | ID number (South African Identity Document number).                                 |\n| *ZA*   | *TIN*             | Person/Company     | South Africa           | TIN (South African Tax Identification Number).       \n|        | *noDocument*      | Document number    |                        | The document number is not provided\n\n# Tabela códigos dos principais bancos\n\n| Código | Banco |\n| ----- |----------------------- |\n| **001** |   Banco do Brasil S.A.  |\n| *033*   | \tBanco Santander (Brasil) S.A.  |\n| *104*   | \tCaixa Econômica Federal  |\n| *237*   | \tBanco Bradesco S.A.  |\n| *260*   | \tNubank  |\n| *341*   | \tBanco Itaú S.A.  |\n| *356*   |   Banco Real S.A. (antigo)  |\n| *389*   |   Banco Mercantil do Brasil S.A.  |\n| *399*   |   HSBC Bank Brasil S.A. – Banco Múltiplo  |\n| *422*   |   Banco Safra S.A.  |\n| *453*   |   Banco Rural S.A.  |\n| *633*   |   Banco Rendimento S.A.  |\n| *652*   |   Itaú Unibanco Holding S.A.  |\n| *745*   |   Banco Citibank S.A.  |\n"
paths:
  /v1/merchants:
    get:
      tags:
        - Merchants
      summary: Listagem de merchants cadastrados
      operationId: listMerchants
      parameters:
        - in: query
          name: page
          schema:
            type: number
          required: false
          description: número da página
        - in: query
          name: limit
          schema:
            type: number
          required: false
          description: quantidade de itens por página
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantList'
              examples:
                MerchantList:
                  $ref: '#/components/examples/MerchantList'
components:
  schemas:
    MerchantList:
      properties:
        meta:
          type: object
          allOf:
            - $ref: '#/components/schemas/MetaPagination'
        items:
          type: array
          items:
            $ref: '#/components/schemas/Merchant'
    MetaPagination:
      properties:
        itemCount:
          type: integer
          description: quantidade de itens na página
        totalItems:
          type: integer
          description: >-
            quantidade total de itens na consulta (esse valor é mantido em cache
            por 5 minutos para melhorar a performance da API)
        itemsPerPage:
          type: integer
          description: quantidade de itens por página
        totalPages:
          type: integer
          description: quantidade total de páginas
        currentPage:
          type: integer
          description: página atual
    Merchant:
      type: object
      properties:
        id:
          type: string
          description: Identificador do merchant
        createdAt:
          type: string
          description: Data de criação
        clientId:
          type: string
          format: uuid
          description: Identificador do client
        mcc:
          type: string
          description: Código mcc do cadatro do lojista no adquirente
        status:
          type: string
          enum:
            - active
            - deleted
            - pending
          description: Status do merchant
        providers:
          $ref: '#/components/schemas/ProviderDto'
    ProviderDto:
      properties:
        name:
          type: string
          description: Nome opcional de identificação do provedor
        priority:
          type: number
          description: >-
            Define a prioridade do provedor no roteamento da transação (usar 1
            para o prioritário)
        credentials:
          oneOf:
            - $ref: '#/components/schemas/PagSeguro'
            - $ref: '#/components/schemas/PayPal'
            - $ref: '#/components/schemas/Pagarme'
            - $ref: '#/components/schemas/Pagarme_v5'
            - $ref: '#/components/schemas/Cielo'
            - $ref: '#/components/schemas/Braspag'
            - $ref: '#/components/schemas/BS2'
            - $ref: '#/components/schemas/BS2_BOLETO'
            - $ref: '#/components/schemas/BB'
            - $ref: '#/components/schemas/Braintree'
            - $ref: '#/components/schemas/Klap'
            - $ref: '#/components/schemas/Zoop'
            - $ref: '#/components/schemas/Stripe'
            - $ref: '#/components/schemas/MercadoPago'
            - $ref: '#/components/schemas/Clearsale'
            - $ref: '#/components/schemas/NuPay'
            - $ref: '#/components/schemas/Adyen'
            - $ref: '#/components/schemas/Getnet'
            - $ref: '#/components/schemas/GetnetSep'
            - $ref: '#/components/schemas/Vr'
            - $ref: '#/components/schemas/Drip'
            - $ref: '#/components/schemas/Worldpay'
            - $ref: '#/components/schemas/Safrapay'
            - $ref: '#/components/schemas/Mapinvest'
            - $ref: '#/components/schemas/Bolt'
            - $ref: '#/components/schemas/Barte'
            - $ref: '#/components/schemas/Picpay'
            - $ref: '#/components/schemas/Rede'
            - $ref: '#/components/schemas/Itau'
            - $ref: '#/components/schemas/B2E'
            - $ref: '#/components/schemas/Konduto'
        options:
          oneOf:
            - $ref: '#/components/schemas/ClearsaleOptions'
            - $ref: '#/components/schemas/NuPayOptions'
            - $ref: '#/components/schemas/BarteOptions'
            - $ref: '#/components/schemas/B2EOptions'
        acquirer:
          oneOf:
            - $ref: '#/components/schemas/MerchantAcquirerSingleMid'
            - $ref: '#/components/schemas/MerchantAcquirerMultipleMid'
      required:
        - name
        - priority
        - credentials
    PagSeguro:
      title: PagSeguro
      properties:
        type:
          type: string
          enum:
            - PAGSEGURO
        token:
          type: string
          description: Token de uso na API V4 da pagseguro
        email:
          type: string
          description: Email do usuário da conta principal da paseguro
      required:
        - type
        - token
        - email
    PayPal:
      title: PayPal
      properties:
        type:
          type: string
          enum:
            - PAYPAL
        clientId:
          type: string
          description: Credencial de uso da sua conta no Paypal
        clientSecret:
          type: string
          description: Credencial de uso da sua conta no Paypal
      required:
        - type
        - clientId
        - clientSecret
    Pagarme:
      title: Pagarme
      properties:
        type:
          type: string
          enum:
            - PAGARME
        apiKey:
          type: string
          description: Credencial de uso da sua conta na Pagarme
      required:
        - type
        - apiKey
    Pagarme_v5:
      title: Pagarme_v5
      properties:
        type:
          type: string
          enum:
            - PAGARME_V5
        secretKey:
          type: string
          description: Credencial de uso da sua conta na Pagarme
      required:
        - type
        - secretKey
    Cielo:
      title: Cielo
      properties:
        type:
          type: string
          enum:
            - CIELO
        merchantKey:
          type: string
          description: Credencial de uso da sua conta na Cielo
        merchantId:
          type: string
          description: Credencial de uso da sua conta na Cielo
      required:
        - type
        - merchantKey
        - merchantId
    Braspag:
      title: Braspag
      properties:
        type:
          type: string
          enum:
            - BRASPAG
        clientSecret:
          type: string
          description: Credencial para uso da sua conta na Braspag
        merchantId:
          type: string
          description: Identificador da loja na Braspag
        merchantKey:
          type: string
          description: Chave pública para autenticação dupla na Braspag
      required:
        - type
        - clientSecret
        - merchantId
        - merchantKey
    BS2:
      title: BS2
      properties:
        type:
          type: string
          enum:
            - BS2
        clientKey:
          type: string
          description: Credencial de uso da sua conta no BS2
        clientSecret:
          type: string
          description: Credencial de uso da sua conta no BS2
        pixKey:
          type: string
          description: Chave pix da sua conta no BS2
      required:
        - type
        - clientKey
        - clientSecret
        - pixKey
    BS2_BOLETO:
      title: BS2_BOLETO
      properties:
        type:
          type: string
          enum:
            - BS2_BOLETO
        clientKey:
          type: string
          description: Credencial de uso da sua conta no BS2
        clientSecret:
          type: string
          description: Credencial de uso da sua conta no BS2
        refreshToken:
          type: string
          description: Credencial de uso da sua conta no BS2
      required:
        - type
        - clientKey
        - clientSecret
        - refreshToken
    BB:
      title: BB
      properties:
        type:
          type: string
          enum:
            - BB
        authBasic:
          type: string
          description: Credencial de uso da sua conta no Banco do Brasil
        devAppKey:
          type: string
          description: Credencial de uso da sua conta no Banco do Brasil
        pixKey:
          type: string
          description: Chave Pix da da sua conta no Banco do Brasil
        version:
          type: string
          enum:
            - '1'
            - '2'
          description: Versão da API PIX a ser integrada
        mtlsPemBase64:
          type: string
          description: >-
            (PIX V2) O conteúdo do seu certificado x509 em formato `.pem`,
            convertido para Base64
        mtlsPassPhrase:
          type: string
          description: (PIX V2) PassPhrase associada ao seu certificado
      required:
        - type
        - authBasic
        - devAppKey
        - pixKey
    Braintree:
      title: Braintree
      properties:
        type:
          type: string
          enum:
            - BRAINTREE
        merchantId:
          type: string
          description: Id do merchant da sua conta na Braintree
        publicKey:
          type: string
          description: Chave pública da sua conta na Braintree
        privateKey:
          type: string
          description: Chave privada da sua conta na Braintree
      required:
        - type
        - merchantId
        - publicKey
        - privateKey
    Klap:
      title: Klap
      properties:
        type:
          type: string
          enum:
            - KLAP
        apiKey:
          type: string
          description: Chave de API da sua conta na Klap
        commerceId:
          type: string
          description: ID do comércio da sua conta na Klap
        keyComponent1:
          type: string
          description: Componente 1 da sua chave na Klap
        keyComponent2:
          type: string
          description: Componente 2 da sua chave na Klap
      required:
        - type
        - apiKey
        - CommerceId
        - keyComponent1
        - keyComponent2
    Zoop:
      title: Zoop
      properties:
        type:
          type: string
          enum:
            - ZOOP
        marketplaceId:
          type: string
          description: Identificador do marketplace id na zoop
        sellerId:
          type: string
          description: Identificador do seller id na zoop
        apiKey:
          type: string
          description: Chave zpk de acesso a api da zoop
        xApiKeyToken:
          type: string
          description: Chave pra gerir throttle a api da zoop
        privateKey:
          type: string
          description: Chave privada de acesso a api da zoop - conteúdo do .key em base64
        publicKey:
          type: string
          description: Chave pública de acesso a api da zoop - conteúdo da .pem em base64
      required:
        - type
        - marketplaceId
        - sellerId
        - apiKey
        - xApiKeyToken
        - privateKey
        - publicKey
    Stripe:
      title: Stripe
      properties:
        type:
          type: string
          enum:
            - STRIPE
        secretKey:
          type: string
          description: Chave secreta de acesso a api da stripe
      required:
        - type
        - secretKey
    MercadoPago:
      title: MercadoPago
      properties:
        type:
          type: string
          enum:
            - MERCADO_PAGO
        accessToken:
          type: string
          description: Chave de acesso a API
      required:
        - type
        - accessToken
    Clearsale:
      title: Clearsale
      properties:
        type:
          type: string
          enum:
            - CLEARSALE
        name:
          type: string
          description: Nome para a api da clearsale
        password:
          type: string
          description: Senha secreta de acesso a api da clearsale
      required:
        - type
        - name
        - password
    NuPay:
      title: NuPay
      properties:
        type:
          type: string
          enum:
            - NUPAY
        merchantApiToken:
          type: string
          description: Token de API da NuPay
        merchantApiKey:
          type: string
          description: Chave de API da NuPay
      required:
        - type
        - merchantApiToken
        - merchantApiKey
    Adyen:
      title: Adyen
      properties:
        type:
          type: string
          enum:
            - ADYEN
        apiKey:
          type: string
          description: Chave de API da Adyen
        liveUrlPrefix:
          type: string
          description: >-
            Prefixo de URL de produção da Adyen, não inserir o http:// ou
            https://
        webhookHmacKey:
          type: string
          description: Chave HMAC para validação de webhook
        merchantAccount:
          type: string
          description: Conta do Merchant da Adyen
        version:
          type: string
          description: Versão da API da Adyen
      required:
        - type
        - apiKey
        - liveUrlPrefix
        - merchantAccount
    Getnet:
      title: Getnet
      properties:
        type:
          type: string
          enum:
            - GETNET
        clientId:
          type: string
          description: Client ID da Getnet
        clientSecret:
          type: string
          description: Client secret da Getnet
        sellerId:
          type: string
          description: Seller ID da Getnet
      required:
        - type
        - clientId
        - clientSecret
        - sellerId
    GetnetSep:
      title: GetnetSep
      properties:
        type:
          type: string
          enum:
            - GETNET_SEP
        clientApiKey:
          type: string
          description: clientApiKey da GetnetSep
        clientSecret:
          type: string
          description: Client secret da GetnetSep
        sellerId:
          type: string
          description: Seller ID da GetnetSep
      required:
        - clientApiKey
        - clientSecret
        - sellerId
    Vr:
      title: Vr
      properties:
        affiliationId:
          type: string
          description: Identificação de afiliação do vr
      required:
        - affiliationId
    Drip:
      title: Drip
      properties:
        type:
          type: string
          enum:
            - DRIP
        secretKey:
          type: string
          description: Secret key da sua conta Drip
      required:
        - type
        - secretKey
    Worldpay:
      title: Worldpay
      properties:
        type:
          type: string
          enum:
            - WORLDPAY
        merchantCode:
          type: string
          description: Código do seu merchant Worldpay
        userAPI:
          type: string
          description: Usuário Worldpay
        senha:
          type: string
          description: Senha Worldpay
      required:
        - type
        - merchantCode
        - userAPI
        - senha
    Safrapay:
      title: Safrapay
      properties:
        type:
          type: string
          enum:
            - SAFRAPAY
        token:
          type: string
          description: Token do seu merchant Safrapay
      required:
        - token
    Mapinvest:
      title: Mapinvest
      properties:
        type:
          type: string
          enum:
            - MAPINVEST
        clientId:
          type: string
          description: clientId do seu merchant Mapinvest
        clientSecret:
          type: string
          description: clientSecret do seu merchant Mapinvest
        pixKey:
          type: string
          description: A chave pix do seu merchant Mapinvest
        publicKey:
          type: string
          description: publicKey do seu merchant Mapinvest (mtls)
        privateKey:
          type: string
          description: privateKey do seu merchant Mapinvest (mtls)
      required:
        - token
    Bolt:
      title: Bolt
      properties:
        type:
          type: string
          enum:
            - BOLT
        gatewayId:
          type: string
          description: gatewayId da Bolt (infra da DXC)
        gatewayKey:
          type: string
          description: gatewayKey da Bolt (infra da DXC)
        merchantId:
          type: string
          description: merchantId da Bolt (infra da DXC)
        merchantKey:
          type: string
          description: merchantKey da Bolt (infra da DXC)
        merchantTerminal:
          type: string
          description: merchantTerminal da Bolt (infra da DXC)
      required:
        - token
    Barte:
      title: Barte
      properties:
        type:
          type: string
          enum:
            - BARTE
        tokenApi:
          type: string
          description: Token de API da Barte
      required:
        - type
        - tokenApi
    Picpay:
      title: Picpay
      properties:
        type:
          type: string
          enum:
            - PICPAY
        clientId:
          type: string
          description: client_id da Picpay
        clientSecret:
          type: string
          description: client_secret da Picpay
      required:
        - type
        - clientId
        - clientSecret
    Rede:
      title: Rede
      properties:
        type:
          type: string
          enum:
            - REDE
        merchantId:
          type: string
          description: Identificador do estabelecimento na rede
        apiKey:
          type: string
          description: Chave secreta de acesso a api da rede
      required:
        - type
        - merchantId
        - apiKey
    Itau:
      title: Itaú
      properties:
        type:
          type: string
          enum:
            - ITAU
        pixSecretKey:
          type: string
          description: Chave secreta da API de PIX da sua conta Itaú
        pixClientId:
          type: string
          description: Client ID da API de PIX
        pixMtlsCert:
          type: string
          description: Certificado CSR em Base64
        pixMtlsCertKey:
          type: string
          description: Chave do Certificado CSR em Base64
        pixKey:
          type: string
          description: Chave PIX da conta
        boletoSecretKey:
          type: string
          description: Chave secreta da API de Boleto da sua conta Itaú
        boletoClientId:
          type: string
          description: Client ID da API de Boleto
        boletoMtlsCert:
          type: string
          description: Certificado CSR do Boleto em Base64
        boletoMtlsCertKey:
          type: string
          description: Chave do Certificado CSR do Boleto em Base64
        boletoBeneficiaryKey:
          type: string
          description: ID do Beneficiário que é a concatenação da Agência + Conta + DAC
    B2E:
      title: B2E
      properties:
        type:
          type: string
          enum:
            - B2E
        user:
          type: string
          description: User para a API da b2e
        password:
          type: string
          description: Senha secreta de acesso a API da b2e
        merchantId:
          type: string
          description: Identificador do merchant na b2e
      required:
        - type
        - user
        - password
        - merchantId
    Konduto:
      title: Konduto
      properties:
        type:
          type: string
          enum:
            - KONDUTO
        secretKey:
          type: string
          description: Chave secreta para integração da Konduto
      required:
        - type
        - secretKey
    ClearsaleOptions:
      title: ClearsaleOptions
      properties:
        type:
          type: string
          enum:
            - ANTIFRAUD
        captureOnError:
          type: boolean
          description: Captura a transação em caso de erro no provedor antifraude
        captureOnApproved:
          type: boolean
          description: >-
            Captura a transação automaticamente caso o provedor antifraude
            aprove a transação
        refundOnError:
          type: boolean
          description: Estorna a transação em caso de erro no provedor antifraude
        refundOnReproved:
          type: boolean
          description: >-
            Estorna ou cancela a transação automaticamente caso o provedor
            antifraude reprove a transação
        runBeforeCharge:
          type: boolean
          description: >-
            Determina se o provedor antifraude é executado antes do provedor de
            cobrança
        productType:
          type: string
          enum:
            - SYNC
            - ASYNC
          description: Representa o tipo de produto de antifraude (síncrono ou assíncrono)
      required:
        - type
    NuPayOptions:
      title: NuPayOptions
      properties:
        type:
          type: string
          enum:
            - NUPAY
        merchantName:
          type: string
          description: Nome do merchant a ser utilizado nas transações NuPay
        storeName:
          type: string
          description: Nome da loja a ser utilizada nas transações NuPay
      required:
        - type
    BarteOptions:
      title: BarteOptions
      properties:
        type:
          type: string
          enum:
            - BARTE
        paymentMethod:
          type: string
          enum:
            - CREDIT_CARD_EARLY_SELLER
            - CREDIT_CARD_EARLY_BUYER
          description: Método de pagamento da Barte.
      required:
        - type
        - paymentMethod
    B2EOptions:
      title: B2EOptions
      properties:
        type:
          type: string
          enum:
            - ANTIFRAUD
        productType:
          type: string
          enum:
            - ASYNC
          description: Representa o tipo de produto de antifraude
      required:
        - type
    MerchantAcquirerSingleMid:
      type: object
      description: Informações do adquirente
      title: MID único
      required:
        - merchantId
      properties:
        merchantId:
          type: string
          description: >-
            ID do merchant. Obrigatório se não estiver em cada BIN. Caso esteja
            aqui no nível superior ele irá usar esse merchantId para todas as
            bandeiras.
          example: '1234567890'
        bin:
          type: array
          description: BINs do adquirente
          items:
            type: object
            required:
              - merchantId
            properties:
              brand:
                type: string
                description: Bandeira do BIN
                example: Mastercard
              value:
                type: string
                description: Valor do BIN
                example: '550259'
    MerchantAcquirerMultipleMid:
      type: object
      description: Informações do adquirente
      title: Múltiplos MID's
      properties:
        bin:
          type: array
          description: BINs do adquirente
          items:
            type: object
            required:
              - merchantId
            properties:
              merchantId:
                type: string
                description: >-
                  ID do merchant. Obrigatório se não estiver cadastrado no nível
                  superior. Caso esteja nesse nível ele irá usar o merchantId
                  para cada respectivo BIN.
                example: '1234567890'
              brand:
                type: string
                description: Bandeira do BIN
                example: Mastercard
              value:
                type: string
                description: Valor do BIN
                example: '550259'
  examples:
    MerchantList:
      value:
        meta:
          itemCount: 10
          totalItems: 20
          itemsPerPage: 10
          totalPages: 5
          currentPage: 2
        items:
          - id: 69aea152-ba70-49a3-a31c-044ac1651146
            updatedAt: '2021-03-12T15:57:20.239Z'
            createdAt: '2021-03-12T15:57:20.239Z'
            clientId: 523afbe7-36dc-4654-9dba-e7167d0e5e2d
            mcc: '4040'
            status: true
            providers:
              - id: 72cc1ff1-5f6e-4eb2-9cc5-6a3a85525e4b
                updatedAt: '2021-03-12T15:57:20.239Z'
                createdAt: '2021-03-12T15:57:20.239Z'
                name: PagSeguro
                priority: 1
                credentials:
                  type: PAGSEGURO
                  token: 1B2B32530CA2464F8AB63843240F5633
                  email: email@gmail.com
              - id: 2cf5c350-ee26-4557-a47d-9efe1765df51
                updatedAt: '2021-03-12T15:57:20.239Z'
                createdAt: '2021-03-12T15:57:20.239Z'
                deletedAt: null
                idempotencyKey: null
                requestId: null
                name: pagarme
                priority: 2
                credentials:
                  type: PAGARME
                  apiKey: ak_test_Kaa8pfXJ3WOUdCsMQiRYuV66rJZLuA
  securitySchemes:
    X-Client-ID:
      type: apiKey
      in: header
      name: X-Client-Id
    X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key

````